Viewing docs for nexus 3.0.0
published on Tuesday, Jul 28, 2026 by datadrivers
published on Tuesday, Jul 28, 2026 by datadrivers
Viewing docs for nexus 3.0.0
published on Tuesday, Jul 28, 2026 by datadrivers
published on Tuesday, Jul 28, 2026 by datadrivers
PRO Feature (Nexus Repository Pro 3.93.0 or later)
Use this data source to read the Nexus OAuth2/OpenID Connect configuration.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as nexus from "@pulumi/nexus";
const oidc = nexus.getSecurityOidc({});
export const oidcAuthorizationUrl = oidc.then(oidc => oidc.authorizationUrl);
import pulumi
import pulumi_nexus as nexus
oidc = nexus.get_security_oidc()
pulumi.export("oidcAuthorizationUrl", oidc.authorization_url)
package main
import (
"github.com/pulumi/pulumi-terraform-provider/sdks/go/nexus/v3/nexus"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
oidc, err := nexus.LookupSecurityOidc(ctx, map[string]interface{}{}, nil)
if err != nil {
return err
}
ctx.Export("oidcAuthorizationUrl", oidc.AuthorizationUrl)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Nexus = Pulumi.Nexus;
return await Deployment.RunAsync(() =>
{
var oidc = Nexus.GetSecurityOidc.Invoke();
return new Dictionary<string, object?>
{
["oidcAuthorizationUrl"] = oidc.Apply(getSecurityOidcResult => getSecurityOidcResult.AuthorizationUrl),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.nexus.NexusFunctions;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var oidc = NexusFunctions.getSecurityOidc(%!v(PANIC=Format method: runtime error: invalid memory address or nil pointer dereference);
ctx.export("oidcAuthorizationUrl", oidc.authorizationUrl());
}
}
variables:
oidc:
fn::invoke:
function: nexus:getSecurityOidc
arguments: {}
outputs:
oidcAuthorizationUrl: ${oidc.authorizationUrl}
Example coming soon!
Using getSecurityOidc
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getSecurityOidc(opts?: InvokeOptions): Promise<GetSecurityOidcResult>
function getSecurityOidcOutput(opts?: InvokeOptions): Output<GetSecurityOidcResult>def get_security_oidc(opts: Optional[InvokeOptions] = None) -> GetSecurityOidcResult
def get_security_oidc_output(opts: Optional[InvokeOptions] = None) -> Output[GetSecurityOidcResult]func LookupSecurityOidc(ctx *Context, opts ...InvokeOption) (*LookupSecurityOidcResult, error)
func LookupSecurityOidcOutput(ctx *Context, opts ...InvokeOption) LookupSecurityOidcResultOutput> Note: This function is named LookupSecurityOidc in the Go SDK.
public static class GetSecurityOidc
{
public static Task<GetSecurityOidcResult> InvokeAsync(InvokeOptions? opts = null)
public static Output<GetSecurityOidcResult> Invoke(InvokeOptions? opts = null)
}public static CompletableFuture<GetSecurityOidcResult> getSecurityOidc(InvokeOptions options)
public static Output<GetSecurityOidcResult> getSecurityOidc(InvokeOptions options)
fn::invoke:
function: nexus:index/getSecurityOidc:getSecurityOidc
arguments:
# arguments dictionarydata "nexus_get_security_oidc" "name" {
# arguments
}getSecurityOidc Result
The following output properties are available:
- Dictionary<string, string>
- Extra authorization-request parameters.
- string
- OIDC authorization endpoint URL.
- Client
Id string - OIDC client identifier.
- Client
Secret string - OIDC client secret (may be redacted).
- Email
Claim string - Email claim.
- Exact
Match Dictionary<string, string>Claims - Claims that must match exactly.
- First
Name stringClaim - Given-name claim.
- Groups
Claim string - Groups claim.
- Id string
- Used to identify data source at nexus
- Jwks string
- Inline JWKS JSON.
- Jwks
Url string - OIDC JWKS endpoint URL.
- Jws
Algorithm string - JWT signature algorithm.
- Last
Name stringClaim - Surname claim.
- Logout
Url string - OIDC logout endpoint URL.
- Token
Request Dictionary<string, string>Custom Params - Extra token-request parameters.
- Token
Url string - OIDC token endpoint URL.
- Use
Trust boolStore - Whether the Nexus truststore is used.
- Username
Claim string - Username claim.
- map[string]string
- Extra authorization-request parameters.
- string
- OIDC authorization endpoint URL.
- Client
Id string - OIDC client identifier.
- Client
Secret string - OIDC client secret (may be redacted).
- Email
Claim string - Email claim.
- Exact
Match map[string]stringClaims - Claims that must match exactly.
- First
Name stringClaim - Given-name claim.
- Groups
Claim string - Groups claim.
- Id string
- Used to identify data source at nexus
- Jwks string
- Inline JWKS JSON.
- Jwks
Url string - OIDC JWKS endpoint URL.
- Jws
Algorithm string - JWT signature algorithm.
- Last
Name stringClaim - Surname claim.
- Logout
Url string - OIDC logout endpoint URL.
- Token
Request map[string]stringCustom Params - Extra token-request parameters.
- Token
Url string - OIDC token endpoint URL.
- Use
Trust boolStore - Whether the Nexus truststore is used.
- Username
Claim string - Username claim.
- map(string)
- Extra authorization-request parameters.
- string
- OIDC authorization endpoint URL.
- client_
id string - OIDC client identifier.
- client_
secret string - OIDC client secret (may be redacted).
- email_
claim string - Email claim.
- exact_
match_ map(string)claims - Claims that must match exactly.
- first_
name_ stringclaim - Given-name claim.
- groups_
claim string - Groups claim.
- id string
- Used to identify data source at nexus
- jwks string
- Inline JWKS JSON.
- jwks_
url string - OIDC JWKS endpoint URL.
- jws_
algorithm string - JWT signature algorithm.
- last_
name_ stringclaim - Surname claim.
- logout_
url string - OIDC logout endpoint URL.
- token_
request_ map(string)custom_ params - Extra token-request parameters.
- token_
url string - OIDC token endpoint URL.
- use_
trust_ boolstore - Whether the Nexus truststore is used.
- username_
claim string - Username claim.
- Map<String,String>
- Extra authorization-request parameters.
- String
- OIDC authorization endpoint URL.
- client
Id String - OIDC client identifier.
- client
Secret String - OIDC client secret (may be redacted).
- email
Claim String - Email claim.
- exact
Match Map<String,String>Claims - Claims that must match exactly.
- first
Name StringClaim - Given-name claim.
- groups
Claim String - Groups claim.
- id String
- Used to identify data source at nexus
- jwks String
- Inline JWKS JSON.
- jwks
Url String - OIDC JWKS endpoint URL.
- jws
Algorithm String - JWT signature algorithm.
- last
Name StringClaim - Surname claim.
- logout
Url String - OIDC logout endpoint URL.
- token
Request Map<String,String>Custom Params - Extra token-request parameters.
- token
Url String - OIDC token endpoint URL.
- use
Trust BooleanStore - Whether the Nexus truststore is used.
- username
Claim String - Username claim.
- {[key: string]: string}
- Extra authorization-request parameters.
- string
- OIDC authorization endpoint URL.
- client
Id string - OIDC client identifier.
- client
Secret string - OIDC client secret (may be redacted).
- email
Claim string - Email claim.
- exact
Match {[key: string]: string}Claims - Claims that must match exactly.
- first
Name stringClaim - Given-name claim.
- groups
Claim string - Groups claim.
- id string
- Used to identify data source at nexus
- jwks string
- Inline JWKS JSON.
- jwks
Url string - OIDC JWKS endpoint URL.
- jws
Algorithm string - JWT signature algorithm.
- last
Name stringClaim - Surname claim.
- logout
Url string - OIDC logout endpoint URL.
- token
Request {[key: string]: string}Custom Params - Extra token-request parameters.
- token
Url string - OIDC token endpoint URL.
- use
Trust booleanStore - Whether the Nexus truststore is used.
- username
Claim string - Username claim.
- Mapping[str, str]
- Extra authorization-request parameters.
- str
- OIDC authorization endpoint URL.
- client_
id str - OIDC client identifier.
- client_
secret str - OIDC client secret (may be redacted).
- email_
claim str - Email claim.
- exact_
match_ Mapping[str, str]claims - Claims that must match exactly.
- first_
name_ strclaim - Given-name claim.
- groups_
claim str - Groups claim.
- id str
- Used to identify data source at nexus
- jwks str
- Inline JWKS JSON.
- jwks_
url str - OIDC JWKS endpoint URL.
- jws_
algorithm str - JWT signature algorithm.
- last_
name_ strclaim - Surname claim.
- logout_
url str - OIDC logout endpoint URL.
- token_
request_ Mapping[str, str]custom_ params - Extra token-request parameters.
- token_
url str - OIDC token endpoint URL.
- use_
trust_ boolstore - Whether the Nexus truststore is used.
- username_
claim str - Username claim.
- Map<String>
- Extra authorization-request parameters.
- String
- OIDC authorization endpoint URL.
- client
Id String - OIDC client identifier.
- client
Secret String - OIDC client secret (may be redacted).
- email
Claim String - Email claim.
- exact
Match Map<String>Claims - Claims that must match exactly.
- first
Name StringClaim - Given-name claim.
- groups
Claim String - Groups claim.
- id String
- Used to identify data source at nexus
- jwks String
- Inline JWKS JSON.
- jwks
Url String - OIDC JWKS endpoint URL.
- jws
Algorithm String - JWT signature algorithm.
- last
Name StringClaim - Surname claim.
- logout
Url String - OIDC logout endpoint URL.
- token
Request Map<String>Custom Params - Extra token-request parameters.
- token
Url String - OIDC token endpoint URL.
- use
Trust BooleanStore - Whether the Nexus truststore is used.
- username
Claim String - Username claim.
Package Details
- Repository
- nexus datadrivers/terraform-provider-nexus
- License
- Notes
- This Pulumi package is based on the
nexusTerraform Provider.
Viewing docs for nexus 3.0.0
published on Tuesday, Jul 28, 2026 by datadrivers
published on Tuesday, Jul 28, 2026 by datadrivers